Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui.launchConfigurations
Class JavaClasspathTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
              org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab

All Implemented Interfaces:
  org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener, ILaunchConfigurationTab

public class JavaClasspathTab
extends org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab

A launch configuration tab that displays and edits the user and bootstrap classes comprising the classpath launch configuration attribute.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  2.0

Field Summary
`protected static String` | `DIALOG_SETTINGS_PREFIX`
`protected org.eclipse.jdt.internal.debug.ui.classpath.RuntimeClasspathViewer` | `fClasspathViewer`
`protected ILaunchConfiguration` | `fLaunchConfiguration` The last launch config this tab was initialized from

Constructor Summary
`JavaClasspathTab()`

Method Summary
`void` | `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected Button` | `createButton(Composite pathButtonComp, org.eclipse.jdt.internal.debug.ui.actions.RuntimeClasspathAction action)` Creates a button for the given action.
`void` | `createControl(Composite parent)`
`protected void` | `createPathButtons(Composite pathButtonComp)` Creates the buttons to manipulate the classpath.
`void` | `dispose()`
`static Image` | `getClasspathImage()`
`Image` | `getImage()`
`ILaunchConfiguration` | `getLaunchConfiguration()` Returns the current launch configuration
`protected org.eclipse.jdt.internal.debug.ui.classpath.ClasspathModel` | `getModel()`
`String` | `getName()`
`void` | `initializeFrom(ILaunchConfiguration configuration)`
`boolean` | `isShowBootpath()` Returns whether the bootpath should be displayed.
`boolean` | `isValid(ILaunchConfiguration launchConfig)`
`void` | `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` | `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
`entriesChanged, getContext, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createVerticalSpacer, deactivated, getControl, getErrorMessage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setLaunchConfigurationDialog, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fClasspathViewer

    protected org.eclipse.jdt.internal.debug.ui.classpath.RuntimeClasspathViewer fClasspathViewer

### DIALOG_SETTINGS_PREFIX

    protected static final String DIALOG_SETTINGS_PREFIX

See Also:
  Constant Field Values

### fLaunchConfiguration

    protected ILaunchConfiguration fLaunchConfiguration

  The last launch config this tab was initialized from

Constructor Detail

### JavaClasspathTab

    public JavaClasspathTab()

Method Detail

### createControl

    public void createControl(Composite parent)

### createPathButtons

    protected void createPathButtons(Composite pathButtonComp)

  Creates the buttons to manipulate the classpath.

  Parameters:
    `pathButtonComp` - composite buttons are contained in
  Since:
    3.0

### createButton

    protected Button createButton(Composite pathButtonComp,
                                  org.eclipse.jdt.internal.debug.ui.actions.RuntimeClasspathAction action)

  Creates a button for the given action.

  Parameters:
    `pathButtonComp` - parent composite for the button
    `action` - the action triggered by the button
  Returns:
    the button that was created

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

### getName

    public String getName()

### getClasspathImage

    public static Image getClasspathImage()

  See Also:
    `ILaunchConfigurationTab.getImage()`

### getLaunchConfiguration

    public ILaunchConfiguration getLaunchConfiguration()

  Returns the current launch configuration

### dispose

    public void dispose()

### getImage

    public Image getImage()

### isValid

    public boolean isValid(ILaunchConfiguration launchConfig)

### isShowBootpath

    public boolean isShowBootpath()

  Returns whether the bootpath should be displayed.

  Returns:
    whether the bootpath should be displayed
  Since:
    3.0

### getModel

    protected org.eclipse.jdt.internal.debug.ui.classpath.ClasspathModel getModel()

  Returns:
    Returns the classpath model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.